# $Id: perl-Socket.spec 7981 2009-11-03 03:05:34Z dag $
# Authority: dries
# Upstream: Nicola Worthington <nicolaw$cpan,org>

%define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)

%define real_name Socket

Summary: Networking constants and support functions
Name: perl-Socket
Version: 2.019
Release: 6.2
License: Apache 2.0
Group: Applications/CPAN
URL: http://search.cpan.org/dist/Socket/

Source: Socket-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: perl
BuildRequires: perl(Module::Build)
BuildRequires: perl(Test)
BuildRequires: perl(Test::More)
BuildRequires:	perl-ExtUtils-Constant >= 0.23

%description
Networking constants and support functions.

%prep
%setup -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install

### Clean up buildroot
find %{buildroot} -name .packlist -exec %{__rm} {} \;
rm  -rf %{buildroot}%{_mandir}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc Changes LICENSE MANIFEST META.yml
%dir %{perl_vendorarch}/auto
%dir %{perl_vendorarch}/auto/Socket
%{perl_vendorarch}/Socket.pm
%{perl_vendorarch}/auto/Socket/Socket.*

%changelog
